Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- CtSymClassPath
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileBasedCache
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageName
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

t

scala.tools.nsc.classpath

# ZipAndJarFileLookupFactory

###

#### sealed trait ZipAndJarFileLookupFactory extends AnyRef

A trait providing an optional cache for classpath entries obtained from zip and jar files. It allows us to e.g. reduce significantly memory used by PresentationCompilers in Scala IDE when there are a lot of projects having a lot of common dependencies.

Source
  ZipAndJarFileLookupFactory.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ZipAndJarClassPathFactory, ZipAndJarSourcePathFactory
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZipAndJarFileLookupFactory
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def createForZipFile(zipFile: AbstractFile, release: Option[String]): ClassPath with Closeable
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ZipAndJarFileLookupFactory toany2stringadd[ZipAndJarFileLookupFactory] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ZipAndJarFileLookupFactory, B)
   Implicit
     This member is added by an implicit conversion from ZipAndJarFileLookupFactory toArrowAssoc[ZipAndJarFileLookupFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def create(zipFile: AbstractFile, settings: Settings, closeableRegistry: CloseableRegistry): ClassPath
9.  def ensuring(cond: (ZipAndJarFileLookupFactory) => Boolean, msg: => Any): ZipAndJarFileLookupFactory
   Implicit
     This member is added by an implicit conversion from ZipAndJarFileLookupFactory toEnsuring[ZipAndJarFileLookupFactory] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ZipAndJarFileLookupFactory) => Boolean): ZipAndJarFileLookupFactory
    Implicit
      This member is added by an implicit conversion from ZipAndJarFileLookupFactory toEnsuring[ZipAndJarFileLookupFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ZipAndJarFileLookupFactory
    Implicit
      This member is added by an implicit conversion from ZipAndJarFileLookupFactory toEnsuring[ZipAndJarFileLookupFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ZipAndJarFileLookupFactory
    Implicit
      This member is added by an implicit conversion from ZipAndJarFileLookupFactory toEnsuring[ZipAndJarFileLookupFactory] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ZipAndJarFileLookupFactory toStringFormat[ZipAndJarFileLookupFactory] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ZipAndJarFileLookupFactory, B)
   Implicit
     This member is added by an implicit conversion from ZipAndJarFileLookupFactory toArrowAssoc[ZipAndJarFileLookupFactory] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromZipAndJarFileLookupFactory to any2stringadd[ZipAndJarFileLookupFactory]

### Inherited by implicit conversion StringFormat fromZipAndJarFileLookupFactory to StringFormat[ZipAndJarFileLookupFactory]

### Inherited by implicit conversion Ensuring fromZipAndJarFileLookupFactory to Ensuring[ZipAndJarFileLookupFactory]

### Inherited by implicit conversion ArrowAssoc fromZipAndJarFileLookupFactory to ArrowAssoc[ZipAndJarFileLookupFactory]

### Ungrouped